nock = require 'nock'
expect = require("chai").should()

Asjon = require '../asjon-testing.coffee'
asjon = undefined

describe 'shell autostart', ->
  before (done) ->
    # Inizializzo robot
    Asjon (assa) ->
      asjon = assa
      after asjon.after
      afterEach asjon.clear
      done()

  it 'dovrebbe informare dell\'avvio se richiesto', (done) ->
    asjon.receive (e,l) ->
      l.join().should.equal 'asjon avviato e operativo!'
      done()
    process.env.AUTO_INFORM_ON_START = '#mocha'
    process.env.AUTO_RUN_TESTS = ''
    process.env.ADMIN_ROOM = '#mocha'
    require('../scripts/shell.coffee')(asjon.robot)

  it 'dovrebbe eseguire i test all\'avvio se richiesto', (done) ->
    acc = 0
    asjon.receive (e,l) ->
      if acc is 0
        l.join().should.equal 'operazione in corso: npm test'
      if acc is 1
        l.join().should.equal 'operazione "completata": npm test'
      acc++
      if acc is 2 then done()
    process.env.AUTO_RUN_TESTS = 'true'
    process.env.ADMIN_ROOM = '#mocha'
    require('../scripts/shell.coffee')(asjon.robot)
